package gotowe1.p05_switch;

import javax.swing.JOptionPane;

public class DzienTygodnia6 {
	// W tej wersj używamy "switch expression" (od Java 14), czyli switch zwraca wynik,
	// który można np. wpisać do zmiennej.
	// switch jest jakby funkcją, której wynik pobieramy
	
	public static void main(String[] args) {
		try {
			int numer = Integer.parseInt(JOptionPane.showInputDialog("Podaj nr dnia tygodnia"));
			String dzien = switch(numer) {
				case 1 -> "poniedziałek";
				case 2 -> "wtorek";
				case 3 -> "środa";
				case 4 -> "czwartek";
				case 5 -> "piątek";
				case 6 -> "sobota";
				case 7 -> "niedziela";
				default -> throw new IllegalArgumentException("Niepoprawny numer dnia: " + numer);
			};
			JOptionPane.showMessageDialog(null, "To jest " + dzien);
		} catch (Exception e) {
			JOptionPane.showMessageDialog(null, e, "Błąd", JOptionPane.ERROR_MESSAGE);
		}
		JOptionPane.showMessageDialog(null, "Koniec programu");
	}

}
